/* SECTION 1 (your matrimonial property rights)  */
.property-container {
  width: 100%;
  padding: 0 33px;
}

.property-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
  padding-top: 50px;
  position: relative;
}

.property-body-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 25%;
  right: 50%;
  pointer-events: none;
}

.property-body-deco img {
  max-width: clamp(85px, 9.6vw, 122px);
  width: 100%;
  height: auto;
  object-fit: contain;
}

.property-content {
  max-width: 652px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.property-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.property-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 500px;
}

.property-points-bar {
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.property-points {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.property-point {
  display: flex;
  align-items: center;
  gap: 12px;
}

.property-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.property-visual {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  min-width: 410px;
}

.property-primary-image {
  display: flex;
  flex-direction: column;
  z-index: 3;
}

.property-experience-badge {
  aspect-ratio: 253 / 103;
  max-width: 253px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 12px;
  background-color: var(--color-red);
}

.badge-border {
  max-width: 100%;
  width: 100%;
  height: 100%;
  border: 1px solid var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
}

.badge-inner-text {
  color: var(--color-white);
  display: flex;
  flex-direction: column;
}

.badge-inner-text span {
  font-size: 24px;
  line-height: 36px;
  font-weight: 700;
}

.primary-main-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.primary-main-image img {
  max-width: 258px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.property-secondary-image {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: -55px;
}

.property-secondary-image img {
  max-width: 235px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.property-progress-bar {
  max-width: 392px;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.progress-bar-text {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.progress-bar-text span {
  font-size: 15px;
  line-height: 24px;
  color: #0d0e10;
  font-weight: 500;
}

.progress-bar-text p {
  color: #0d0e10;
}

.bar {
  max-width: 100%;
  width: 100%;
  height: 10px;
  display: flex;
  border-radius: 50px;
  background-color: #eeeeee;
  position: relative;
  overflow: hidden;
}

.bar::before {
  content: "";
  position: absolute;
  left: 0;
  width: 91%;
  height: 100%;
  background-color: var(--color-red);
  border-radius: 50px;
}

@media (max-width: 1100px) {
  .property-body-deco {
    right: 48%;
  }

  .property-body-deco img {
    max-width: 85px;
  }
}

@media (max-width: 1023.98px) {
  .property-container {
    padding: 0 20px;
  }

  .property-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .property-content {
    max-width: 100%;
    align-items: center;
  }

  .property-head-para {
    max-width: 617px;
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .property-head {
    max-width: 411px;
  }

  .property-points-bar {
    max-width: 100%;
    width: 100%;
    align-items: center;
  }

  .property-points {
    max-width: fit-content;
  }

  .property-visual {
    min-width: unset;
    max-width: 410px;
  }
}

@media (max-width: 640.98px) {
  .property-container {
    padding: 0 16px;
  }

  .property-wrapper {
    padding: 50px 0;
    padding-top: 35px;
    gap: 35px;
  }
}

@media (max-width: 480px) {
  .property-secondary-image {
    margin-left: -44px;
  }

  .property-progress-bar {
    width: 88.3%;
  }

  .badge-inner-text span {
    font-size: 20px;
    line-height: 30px;
  }

  .property-experience-badge {
    padding: 10px 9px;
  }
}

/* SECTION 2 (shared houshold) */
.shared-container {
  width: 100%;
  padding: 0 36px;
  background-color: var(--color-light-red);
}

.shared-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.shared-main-image {
  position: relative;
  z-index: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.shared-main-image img {
  max-width: 480px;
  width: 100%;
  min-width: 379px;
  height: auto;
  object-fit: cover;
}

.shared-content {
  max-width: 624px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
  position: relative;
}

.shared-content::after {
  content: "";
  width: 57px;
  height: 47px;
  position: absolute;
  top: -46px;
  right: 6px;
  background-image: url("../../assets/images/shared-household-body-deco-img.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.shared-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.shared-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 596px;
}

.shared-head-para p {
  max-width: 538px;
}

.shared-point-list {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 30px 28px;
}

.shared-point-item {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.shared-point-top {
  display: flex;
  align-items: center;
  gap: 10px;
}

.shared-point-icon {
  width: 46px;
  height: 46px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffffff;
  flex-shrink: 0;
}

.shared-point-icon img {
  max-width: 24px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.shared-point-content {
  display: flex;
}

.shared-point-content h3,
.shared-point-content p {
  margin: 0;
}

.shared-point-content h3 {
  color: #3f3f41;
}

@media (max-width: 1100px) {
  .shared-point-list {
    gap: 30px 18px;
  }

  .shared-head {
    max-width: 470px;
  }
}

@media (max-width: 1023.98px) {
  .shared-container {
    padding: 0 20px;
  }

  .shared-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .shared-content {
    max-width: 100%;
    align-items: center;
  }

  .shared-head-para {
    max-width: 100%;
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .shared-head-para p {
    max-width: 575px;
  }

  .shared-head {
    max-width: 100%;
    align-items: center;
  }

  .shared-point-list {
    max-width: 654px;
    gap: 30px 28px;
  }

  .shared-main-image img {
    max-width: 379px;
    min-width: unset;
  }
}

@media (max-width: 700px) {
  .shared-point-list {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .shared-point-item {
    align-items: center;
    text-align: center;
    max-width: 314px;
  }
}

@media (max-width: 640.98px) {
  .shared-container {
    padding: 0 16px;
  }

  .shared-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .shared-head {
    gap: 1px;
  }

  .shared-content::after {
    width: 36px;
    height: 20px;
    top: -30px;
  }
}

/* SECTION 3 (cannot force to out from home) */
.unlawfully-container {
  width: 100%;
  padding: 0 39px;
  background-color: var(--color-white);
}

.unlawfully-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.unlawfully-content {
  max-width: 637px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 42px;
}

.unlawfully-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.unlawfully-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 560px;
}

.unlawfully-head-para p {
  max-width: 630px;
  margin: 0;
}

.unlawfully-card-list {
  max-width: 635px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 40px;
}

.unlawfully-card {
  max-width: 296px;
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 10px;
  border: 2px solid #ffe5f3;
  border-radius: 20px;
  background-color: var(--color-white);
  transition: all 0.22s ease;
}

.unlawfully-card-icon {
  width: 62px;
  height: 62px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #ffe5f2;
  flex-shrink: 0;
}

.unlawfully-card-icon img {
  max-width: 40px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.unlawfully-card-content {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.unlawfully-card-content h3,
.unlawfully-card-content p {
  margin: 0;
  color: #0d0e10;
}

.unlawfully-card:hover {
  background-color: var(--color-red);
  transition: all 0.22s ease;
}

.unlawfully-card:hover > .unlawfully-card-content h3 {
  color: var(--color-white);
  transition: all 0.22s ease;
}

.unlawfully-card:hover > .unlawfully-card-content p {
  color: var(--color-white);
  transition: all 0.22s ease;
}

.unlawfully-main-image {
  position: relative;
  z-index: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.unlawfully-main-image img {
  max-width: 380px;
  width: 100%;
  min-width: 320px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1100px) {
  .unlawfully-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1023.98px) {
  .unlawfully-container {
    padding: 0 20px;
  }

  .unlawfully-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .unlawfully-content {
    align-items: center;
  }

  .unlawfully-head-para {
    align-items: center;
    gap: 10px;
    text-align: center;
  }

  .unlawfully-head-para p {
    max-width: 531px;
  }

  .unlawfully-head {
    align-items: center;
    text-align: center;
    max-width: 400px;
  }

  .unlawfully-main-image img {
    min-width: unset;
    max-width: 320px;
  }
}

@media (max-width: 700px) {
  .unlawfully-card-list {
    grid-template-columns: 1fr;
    place-items: center;
  }
}

@media (max-width: 640.98px) {
  .unlawfully-container {
    padding: 0 16px;
  }

  .unlawfully-wrapper {
    padding: 50px 0;
    gap: 35px;
  }
}

/* SECTION 4 (dont own husband property) */
.husband-container {
  width: 100%;
  padding: 0 56px;
  background-color: var(--color-light-red);
}

.husband-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
}

.husband-main-image {
  position: relative;
  z-index: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.husband-main-image img {
  max-width: 463px;
  width: 100%;
  min-width: 343px;
  height: auto;
  object-fit: cover;
}

.husband-content {
  max-width: 612px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
  position: relative;
}

.husband-content::after {
  content: "";
  width: 79px;
  height: 72px;
  position: absolute;
  right: 24px;
  bottom: 28px;
  background-image: url("../../assets/images/square-pink-deco-img.svg");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.husband-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.husband-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 585px;
}

.husband-head-para p {
  max-width: 563px;
  margin: 0;
}

.husband-point-list {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.husband-point-item {
  display: flex;
  align-items: center;
  gap: 14px;
}

.husband-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.husband-point-icon img {
  max-width: 24px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.husband-point-item p {
  margin: 0;
}

@media (max-width: 1023.98px) {
  .husband-container {
    padding: 0 20px;
  }

  .husband-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .husband-content {
    max-width: 100%;
    align-items: center;
  }

  .husband-head-para {
    gap: 10px;
    max-width: 100%;
    align-items: center;
    text-align: center;
  }

  .husband-head {
    max-width: 100%;
  }

  .husband-content::after {
    right: 0;
  }

  .husband-main-image img {
    min-width: unset;
    max-width: 343px;
  }
}

@media (max-width: 640.98px) {
  .husband-container {
    padding: 0 16px;
  }

  .husband-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .husband-content::after {
    width: 33px;
    height: 33px;
  }
}

@media (max-width: 480px) {
  .husband-main-image img {
    max-width: 287px;
  }
}

/* SECTION 5 (property rights become relevant) */
.relevant-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-white);
}

.relevant-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
  position: relative;
}

.relevant-body-deco {
  position: absolute;
  top: 18px;
  left: -8px;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.relevant-body-deco img {
  max-width: 86px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.relevant-head-para {
  max-width: 770px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
}

.relevant-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3px;
}

.relevant-head-para p {
  max-width: 665px;
  margin: 0;
}

.relevant-card-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  gap: 30px 20px;
}

.relevant-card {
  min-height: 132px;
  display: flex;
  align-items: center;
  gap: 18px;
  padding: 12px 28px;
  border-radius: 4px;
  background-color: #ffe5f2;
  transition: all 0.22s ease;
  cursor: default;
}

.relevant-card-number {
  min-width: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 26px;
  line-height: 36px;
  font-weight: 600;
  color: var(--color-red);
}

.relevant-card-divider {
  width: 14px;
  height: 76px;
  position: relative;
  flex-shrink: 0;
  transition: all 0.15s ease;
}

.relevant-card-divider::before,
.relevant-card-divider::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 50%;
  background-color: var(--color-red);
  transition: all 0.15s ease;
}

.relevant-card-divider::before {
  top: 0;
  width: 12px;
  height: 12px;
}

.relevant-card-divider::after {
  bottom: 0;
  width: 12px;
  height: 12px;
}

.relevant-card-divider {
  background-image: linear-gradient(var(--color-red), var(--color-red));
  background-repeat: no-repeat;
  background-position: center;
  background-size: 2px calc(100% - 24px);
  transition: all 0.15s ease;
}

.relevant-card:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transition: all 0.22s ease;
}

.relevant-card:hover > .relevant-card-number {
  color: var(--color-white);
  transition: all 0.22s ease;
}

.relevant-card:hover > .relevant-card-content h3 {
  color: var(--color-white);
}

.relevant-card:hover > .relevant-card-divider {
  background-image: linear-gradient(var(--color-white), var(--color-white));
  transition: all 0.15s ease;
}

.relevant-card:hover > .relevant-card-divider::after {
  background-color: var(--color-white);
  transition: all 0.15s ease;
}

.relevant-card:hover > .relevant-card-divider::before {
  background-color: var(--color-white);
  transition: all 0.15s ease;
}

.relevant-card-content {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.relevant-card-content h3,
.relevant-card-content p {
  margin: 0;
}

@media (max-width: 1023.98px) {
  .relevant-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .relevant-body-deco img {
    max-width: 70px;
  }

  .relevant-head-para p {
    max-width: 557px;
  }

  .relevant-card-list {
    grid-template-columns: 1fr;
    max-width: 538px;
  }
}

@media (max-width: 767px) {
  .relevant-body-deco img {
    max-width: 40px;
  }
}

@media (max-width: 640.98px) {
  .relevant-container {
    padding: 0 16px;
  }

  .relevant-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .relevant-card-list {
    padding: 0 10px;
  }

  .relevant-card {
    padding: 11px 18px;
    gap: 17px;
  }

  .relevant-card-number {
    font-size: 22px;
    line-height: 32px;
  }
}

/* SECTION 6 (residance dispute) */
.dispute-container {
  width: 100%;
  padding: 0 21px;
  background-color: var(--color-light-red);
}

.dispute-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
  position: relative;
}

.dispute-body-deco {
  position: absolute;
  top: 54px;
  right: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.dispute-body-deco img {
  max-width: 52px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.dispute-head-para {
  max-width: 760px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
}

.dispute-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3px;
}

.dispute-head-para p {
  max-width: 646px;
  margin: 0;
}

.dispute-body {
  max-width: 1050px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 90px;
}

.dispute-side {
  display: flex;
  flex-direction: column;
  gap: 52px;
}

.dispute-item {
  display: flex;
  align-items: center;
  gap: 14px;
}

.dispute-side-left .dispute-item {
  justify-content: flex-end;
  text-align: right;
}

.dispute-side-right .dispute-item {
  justify-content: flex-start;
  text-align: left;
}

.dispute-item p {
  max-width: 180px;
  margin: 0;
  color: #0d0e10;
}

.dispute-item-icon {
  width: 80px;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  background-color: var(--color-red);
  position: relative;
  flex-shrink: 0;
}

.dispute-item-icon img {
  max-width: 30px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.dispute-side-left .dispute-item-icon::after,
.dispute-side-right .dispute-item-icon::before {
  content: "";
  position: absolute;
  top: 50%;
  width: 116px;
  height: 2px;
  background-color: var(--color-red);
}

.dispute-side-left .dispute-item-icon::after {
  left: 100%;
  transform: translateY(-50%);
}

.dispute-side-right .dispute-item-icon::before {
  right: 100%;
  transform: translateY(-50%);
}

.dispute-main-image {
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
}

.dispute-main-image img {
  max-width: 280px;
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 16px;
}

@media (max-width: 1100px) {
  .dispute-item {
    gap: 6px;
    min-width: 267px;
  }
}

@media (max-width: 1023.98px) {
  .dispute-wrapper {
    padding: 60px 0;
  }

  .dispute-body-deco {
    top: 26px;
    right: 0;
  }

  .dispute-head-para p {
    max-width: 467px;
  }

  .dispute-head-para {
    gap: 10px;
  }

  .dispute-main-image {
    display: none;
  }

  .dispute-side-left .dispute-item-icon::after,
  .dispute-side-right .dispute-item-icon::before {
    display: none;
  }

  .dispute-body {
    justify-content: center;
    gap: 40px;
  }

  .dispute-side {
    gap: 50px;
  }

  .dispute-side-left > .dispute-item {
    flex-direction: column-reverse;
  }

  .dispute-item {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 30px;
    min-width: unset;
    max-width: 200px;
  }

  .dispute-item p {
    max-width: 200px;
    text-align: center;
  }
}

@media (max-width: 640.98px) {
  .dispute-container {
    padding: 0 16px;
  }

  .dispute-body-deco {
    display: none;
  }

  .dispute-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .dispute-head {
    gap: 1px;
  }

  .dispute-body {
    flex-direction: column;
    gap: 30px;
    max-width: 275px;
  }

  .dispute-side {
    gap: 30px;
    width: 100%;
  }

  .dispute-side-left > .dispute-item {
    flex-direction: row-reverse;
  }

  .dispute-item {
    gap: 20px;
    flex-direction: row;
    max-width: fit-content;
  }

  .dispute-item p {
    text-align: left;
    max-width: 100%;
  }

  .dispute-item-icon {
    width: 50px;
    height: 50px;
  }

  .dispute-item-icon img {
    width: 20px;
    height: 20px;
  }
}
